> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Genes Summary

> Retrieve a summary of associated genes from GTEx eQTLs & splice QTLs by internal variant ids.

Example:

variant_id = NC_000001.11:40242002:G:A,

spdi = NC_000001.11:40242002:G:A,

hgvs = NC_000001.11:g.40242003G>A,

ca_id = CA16051554,

files_fileset = IGVFFI9602ILPC.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/genes/summary
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/genes/summary:
    get:
      summary: Variants Genes Summary
      description: >-
        Retrieve a summary of associated genes from GTEx eQTLs & splice QTLs by
        internal variant ids.


        Example:


        variant_id = NC_000001.11:40242002:G:A,


        spdi = NC_000001.11:40242002:G:A,


        hgvs = NC_000001.11:g.40242003G>A,


        ca_id = CA16051554,


        files_fileset = IGVFFI9602ILPC.
      operationId: qtlSummaryEndpoint
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Mus musculus
              - Homo sapiens
            default: Homo sapiens
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - not: {}
              - type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    qtl_type:
                      type: string
                    neg_log10_pvalue:
                      type: number
                      nullable: true
                    chr:
                      type: string
                    biological_context:
                      type: string
                      nullable: true
                    effect_size:
                      type: number
                      nullable: true
                    gene:
                      type: object
                      properties:
                        gene_name:
                          type: string
                        gene_id:
                          type: string
                        gene_start:
                          type: number
                        gene_end:
                          type: number
                      required:
                        - gene_name
                        - gene_id
                        - gene_start
                        - gene_end
                      additionalProperties: false
                      nullable: true
                    name:
                      type: string
                      nullable: true
                    files_filesets:
                      type: string
                      nullable: true
                  required:
                    - qtl_type
                    - chr
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````